Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class MapBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.MapBinder

    public class MapBinder

extends CollectionBinder

Implementation to bind a Map

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`MapBinder()`
`MapBinder(boolean sorted)`

Method Summary
`protected org.hibernate.mapping.Collection` | `createCollection(org.hibernate.mapping.PersistentClass persistentClass)`
`protected org.hibernate.mapping.Value` | `createFormulatedValue(org.hibernate.mapping.Value value, org.hibernate.mapping.Collection collection, String targetPropertyName, org.hibernate.mapping.PersistentClass associatedClass)`
`org.hibernate.cfg.SecondPass` | `getSecondPass(Ejb3JoinColumn[] fkJoinColumns, Ejb3JoinColumn[] keyColumns, Ejb3JoinColumn[] inverseColumns, Ejb3Column[] elementColumns, Ejb3Column[] mapKeyColumns, Ejb3JoinColumn[] mapKeyManyToManyColumns, boolean isEmbedded, org.hibernate.annotations.common.reflection.XProperty property, org.hibernate.annotations.common.reflection.XClass collType, boolean ignoreNotFound, boolean unique, TableBinder assocTableBinder, ExtendedMappings mappings)`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder
`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, bindStarToManySecondPass, getCollection, getCollectionBinder, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInsertable, setInverseJoinColumns, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyAccessorName, setPropertyHolder, setPropertyName, setSort, setSqlOrderBy, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapBinder

    public MapBinder(boolean sorted)

### MapBinder

    public MapBinder()

Method Detail

### createCollection

    protected org.hibernate.mapping.Collection createCollection(org.hibernate.mapping.PersistentClass persistentClass)

  Specified by:
    `createCollection` in class `CollectionBinder`

### getSecondPass

    public org.hibernate.cfg.SecondPass getSecondPass(Ejb3JoinColumn[] fkJoinColumns,
                                                      Ejb3JoinColumn[] keyColumns,
                                                      Ejb3JoinColumn[] inverseColumns,
                                                      Ejb3Column[] elementColumns,
                                                      Ejb3Column[] mapKeyColumns,
                                                      Ejb3JoinColumn[] mapKeyManyToManyColumns,
                                                      boolean isEmbedded,
                                                      org.hibernate.annotations.common.reflection.XProperty property,
                                                      org.hibernate.annotations.common.reflection.XClass collType,
                                                      boolean ignoreNotFound,
                                                      boolean unique,
                                                      TableBinder assocTableBinder,
                                                      ExtendedMappings mappings)

  Overrides:
    `getSecondPass` in class `CollectionBinder`

### createFormulatedValue

    protected org.hibernate.mapping.Value createFormulatedValue(org.hibernate.mapping.Value value,
                                                                org.hibernate.mapping.Collection collection,
                                                                String targetPropertyName,
                                                                org.hibernate.mapping.PersistentClass associatedClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD